
class DateParsing{

    private static int getMonth(String input) throws BadDateFormatException {
	if(input.length() == 10){
	    return Integer.parseInt(input.substring(3,5));
	}else{
	    throw new BadDateFormatException ("the date was not 10 characters long 13/12/2012");
	}
    }

    private static String printMonth(String date)throws BadDateFormatException{
	int month = getMonth(date);
	switch(month){
	case 1: return "January";
	case 2: return "February";
	case 3: return "March";
	default: return "December";
	}
    }

    public static void main(String[] args){
	try{
	    System.out.println("The month in: " + args[0] + " is " + printMonth(args[0]));
	}catch(ArrayIndexOutOfBoundsException e){
	    System.out.println("No argument, should be dd/mm/yyyy");
	} catch(BadDateFormatException e){
	    System.out.println("Incorrect date format, should be dd/mm/yyyy");
	}
    }

}
